Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5102)
@@ -1,42 +1,41 @@
-
 MODULE surf_landice_mod
-  
+
   IMPLICIT NONE
 
 CONTAINS
 
-!****************************************************************************************
+  !****************************************************************************************
 
   SUBROUTINE surf_landice(itime, dtime, knon, knindex, &
-       rlon, rlat, debut, lafin, &
-       rmu0, lwdownm, albedo, pphi1, &
-       swnet, lwnet, tsurf, p1lay, &
-       cdragh, cdragm, precip_rain, precip_snow, precip_bs, temp_air, spechum, &
-       AcoefH, AcoefQ, BcoefH, BcoefQ, &
-       AcoefU, AcoefV, BcoefU, BcoefV, &
-       AcoefQBS, BcoefQBS, &
-       ps, u1, v1, gustiness, rugoro, pctsrf, &
-       snow, qsurf, qsol, qbs1, agesno, &
-       tsoil, z0m, z0h, SFRWL, alb_dir, alb_dif, evap, fluxsens, fluxlat, fluxbs, &
-       tsurf_new, dflux_s, dflux_l, &
-       alt, slope, cloudf, &
-       snowhgt, qsnow, to_ice, sissnow, &
-       alb3, runoff, &
-       flux_u1, flux_v1 &
+            rlon, rlat, debut, lafin, &
+            rmu0, lwdownm, albedo, pphi1, &
+            swnet, lwnet, tsurf, p1lay, &
+            cdragh, cdragm, precip_rain, precip_snow, precip_bs, temp_air, spechum, &
+            AcoefH, AcoefQ, BcoefH, BcoefQ, &
+            AcoefU, AcoefV, BcoefU, BcoefV, &
+            AcoefQBS, BcoefQBS, &
+            ps, u1, v1, gustiness, rugoro, pctsrf, &
+            snow, qsurf, qsol, qbs1, agesno, &
+            tsoil, z0m, z0h, SFRWL, alb_dir, alb_dif, evap, fluxsens, fluxlat, fluxbs, &
+            tsurf_new, dflux_s, dflux_l, &
+            alt, slope, cloudf, &
+            snowhgt, qsnow, to_ice, sissnow, &
+            alb3, runoff, &
+            flux_u1, flux_v1 &
 #ifdef ISO
         ,xtprecip_rain, xtprecip_snow,xtspechum,Rland_ice &
         ,xtsnow,xtsol,xtevap &
 #endif               
-      )
+            )
 
     USE dimphy
-    USE geometry_mod,     ONLY: longitude,latitude
-    USE surface_data,     ONLY: type_ocean, calice, calsno, landice_opt, iflag_albcalc
-    USE fonte_neige_mod,  ONLY: fonte_neige,run_off_lic,fqcalving_global,ffonte_global,fqfonte_global,runofflic_global
-    USE cpl_mod,          ONLY: cpl_send_landice_fields
+    USE geometry_mod, ONLY: longitude, latitude
+    USE surface_data, ONLY: type_ocean, calice, calsno, landice_opt, iflag_albcalc
+    USE fonte_neige_mod, ONLY: fonte_neige, run_off_lic, fqcalving_global, ffonte_global, fqfonte_global, runofflic_global
+    USE cpl_mod, ONLY: cpl_send_landice_fields
     USE calcul_fluxs_mod
     USE phys_local_var_mod, ONLY: zxrhoslic, zxustartlic, zxqsaltlic
-    USE phys_output_var_mod, ONLY: snow_o,zfra_o
-#ifdef ISO   
+    USE phys_output_var_mod, ONLY: snow_o, zfra_o
+#ifdef ISO
     USE fonte_neige_mod,  ONLY: xtrun_off_lic
     USE infotrac_phy,     ONLY: ntiso,niso
@@ -47,40 +46,39 @@
 #endif
 #endif
- 
-!FC
+
+    !FC
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE lmdz_blowing_snow_ini, ONLY: c_esalt_bs, zeta_bs, pbst_bs, prt_bs, rhoice_bs, rhohard_bs
     USE lmdz_blowing_snow_ini, ONLY: rhofresh_bs, tau_eqsalt_bs, tau_dens0_bs, tau_densmin_bs
-#ifdef CPP_INLANDSIS
-    USE surf_inlandsis_mod,  ONLY: surf_inlandsis
-#endif
+    USE surf_inlandsis_mod, ONLY: surf_inlandsis
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INLANDSIS
 
     USE indice_sol_mod
 
-!    INCLUDE "indicesol.h"
+    !    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
     INCLUDE "clesphys.h"
 
-! Input variables 
-!****************************************************************************************
-    INTEGER, INTENT(IN)                           :: itime, knon
-    INTEGER, DIMENSION(klon), INTENT(in)          :: knindex
-    REAL, INTENT(in)                              :: dtime
-    REAL, DIMENSION(klon), INTENT(IN)             :: swnet ! net shortwave radiance
-    REAL, DIMENSION(klon), INTENT(IN)             :: lwnet ! net longwave radiance
-    REAL, DIMENSION(klon), INTENT(IN)             :: tsurf
-    REAL, DIMENSION(klon), INTENT(IN)             :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)             :: cdragh, cdragm
-    REAL, DIMENSION(klon), INTENT(IN)             :: precip_rain, precip_snow, precip_bs
-    REAL, DIMENSION(klon), INTENT(IN)             :: temp_air, spechum
-    REAL, DIMENSION(klon), INTENT(IN)             :: AcoefH, AcoefQ
-    REAL, DIMENSION(klon), INTENT(IN)             :: BcoefH, BcoefQ
-    REAL, DIMENSION(klon), INTENT(IN)             :: AcoefU, AcoefV, BcoefU, BcoefV
-    REAL, DIMENSION(klon), INTENT(IN)             :: AcoefQBS, BcoefQBS
-    REAL, DIMENSION(klon), INTENT(IN)             :: ps
-    REAL, DIMENSION(klon), INTENT(IN)             :: u1, v1, gustiness, qbs1
-    REAL, DIMENSION(klon), INTENT(IN)             :: rugoro
-    REAL, DIMENSION(klon,nbsrf), INTENT(IN)       :: pctsrf
+    ! Input variables
+    !****************************************************************************************
+    INTEGER, INTENT(IN) :: itime, knon
+    INTEGER, DIMENSION(klon), INTENT(in) :: knindex
+    REAL, INTENT(in) :: dtime
+    REAL, DIMENSION(klon), INTENT(IN) :: swnet ! net shortwave radiance
+    REAL, DIMENSION(klon), INTENT(IN) :: lwnet ! net longwave radiance
+    REAL, DIMENSION(klon), INTENT(IN) :: tsurf
+    REAL, DIMENSION(klon), INTENT(IN) :: p1lay
+    REAL, DIMENSION(klon), INTENT(IN) :: cdragh, cdragm
+    REAL, DIMENSION(klon), INTENT(IN) :: precip_rain, precip_snow, precip_bs
+    REAL, DIMENSION(klon), INTENT(IN) :: temp_air, spechum
+    REAL, DIMENSION(klon), INTENT(IN) :: AcoefH, AcoefQ
+    REAL, DIMENSION(klon), INTENT(IN) :: BcoefH, BcoefQ
+    REAL, DIMENSION(klon), INTENT(IN) :: AcoefU, AcoefV, BcoefU, BcoefV
+    REAL, DIMENSION(klon), INTENT(IN) :: AcoefQBS, BcoefQBS
+    REAL, DIMENSION(klon), INTENT(IN) :: ps
+    REAL, DIMENSION(klon), INTENT(IN) :: u1, v1, gustiness, qbs1
+    REAL, DIMENSION(klon), INTENT(IN) :: rugoro
+    REAL, DIMENSION(klon, nbsrf), INTENT(IN) :: pctsrf
 #ifdef ISO
     REAL, DIMENSION(ntiso,klon), INTENT(IN)       :: xtprecip_rain, xtprecip_snow 
@@ -89,19 +87,19 @@
 
 
-    LOGICAL,  INTENT(IN)                          :: debut   !true if first step
-    LOGICAL,  INTENT(IN)                          :: lafin   !true if last step
-    REAL, DIMENSION(klon), INTENT(IN)             :: rlon, rlat
-    REAL, DIMENSION(klon), INTENT(IN)             :: rmu0
-    REAL, DIMENSION(klon), INTENT(IN)             :: lwdownm !ylwdown
-    REAL, DIMENSION(klon), INTENT(IN)             :: albedo  !mean albedo
-    REAL, DIMENSION(klon), INTENT(IN)             :: pphi1    
-    REAL, DIMENSION(klon), INTENT(IN)             :: alt   !mean altitude of the grid box  
-    REAL, DIMENSION(klon), INTENT(IN)             :: slope   !mean slope in grid box  
-    REAL, DIMENSION(klon), INTENT(IN)             :: cloudf  !total cloud fraction
-
-! In/Output variables
-!****************************************************************************************
-    REAL, DIMENSION(klon), INTENT(INOUT)          :: snow, qsol
-    REAL, DIMENSION(klon), INTENT(INOUT)          :: agesno
+    LOGICAL, INTENT(IN) :: debut   !true if first step
+    LOGICAL, INTENT(IN) :: lafin   !true if last step
+    REAL, DIMENSION(klon), INTENT(IN) :: rlon, rlat
+    REAL, DIMENSION(klon), INTENT(IN) :: rmu0
+    REAL, DIMENSION(klon), INTENT(IN) :: lwdownm !ylwdown
+    REAL, DIMENSION(klon), INTENT(IN) :: albedo  !mean albedo
+    REAL, DIMENSION(klon), INTENT(IN) :: pphi1
+    REAL, DIMENSION(klon), INTENT(IN) :: alt   !mean altitude of the grid box
+    REAL, DIMENSION(klon), INTENT(IN) :: slope   !mean slope in grid box
+    REAL, DIMENSION(klon), INTENT(IN) :: cloudf  !total cloud fraction
+
+    ! In/Output variables
+    !****************************************************************************************
+    REAL, DIMENSION(klon), INTENT(INOUT) :: snow, qsol
+    REAL, DIMENSION(klon), INTENT(INOUT) :: agesno
     REAL, DIMENSION(klon, nsoilmx), INTENT(INOUT) :: tsoil
 #ifdef ISO
@@ -111,26 +109,26 @@
 
 
-! Output variables
-!****************************************************************************************
-    REAL, DIMENSION(klon), INTENT(OUT)            :: qsurf
-    REAL, DIMENSION(klon), INTENT(OUT)            :: z0m, z0h
-!albedo SB >>>
-!    REAL, DIMENSION(klon), INTENT(OUT)            :: alb1  ! new albedo in visible SW interval
-!    REAL, DIMENSION(klon), INTENT(OUT)            :: alb2  ! new albedo in near IR interval
-    REAL, DIMENSION(6), INTENT(IN)                :: SFRWL
-    REAL, DIMENSION(klon,nsw), INTENT(OUT)        :: alb_dir,alb_dif
-!albedo SB <<<
-    REAL, DIMENSION(klon), INTENT(OUT)            :: evap, fluxsens, fluxlat
-    REAL, DIMENSION(klon), INTENT(OUT)            :: fluxbs
-    REAL, DIMENSION(klon), INTENT(OUT)            :: tsurf_new
-    REAL, DIMENSION(klon), INTENT(OUT)            :: dflux_s, dflux_l      
-    REAL, DIMENSION(klon), INTENT(OUT)            :: flux_u1, flux_v1
-
-    REAL, DIMENSION(klon), INTENT(OUT)           :: alb3
-    REAL, DIMENSION(klon), INTENT(OUT)           :: qsnow   !column water in snow [kg/m2]
-    REAL, DIMENSION(klon), INTENT(OUT)           :: snowhgt !Snow height (m)
-    REAL, DIMENSION(klon), INTENT(OUT)           :: to_ice
-    REAL, DIMENSION(klon), INTENT(OUT)           :: sissnow
-    REAL, DIMENSION(klon), INTENT(OUT)           :: runoff  !Land ice runoff
+    ! Output variables
+    !****************************************************************************************
+    REAL, DIMENSION(klon), INTENT(OUT) :: qsurf
+    REAL, DIMENSION(klon), INTENT(OUT) :: z0m, z0h
+    !albedo SB >>>
+    !    REAL, DIMENSION(klon), INTENT(OUT)            :: alb1  ! new albedo in visible SW interval
+    !    REAL, DIMENSION(klon), INTENT(OUT)            :: alb2  ! new albedo in near IR interval
+    REAL, DIMENSION(6), INTENT(IN) :: SFRWL
+    REAL, DIMENSION(klon, nsw), INTENT(OUT) :: alb_dir, alb_dif
+    !albedo SB <<<
+    REAL, DIMENSION(klon), INTENT(OUT) :: evap, fluxsens, fluxlat
+    REAL, DIMENSION(klon), INTENT(OUT) :: fluxbs
+    REAL, DIMENSION(klon), INTENT(OUT) :: tsurf_new
+    REAL, DIMENSION(klon), INTENT(OUT) :: dflux_s, dflux_l
+    REAL, DIMENSION(klon), INTENT(OUT) :: flux_u1, flux_v1
+
+    REAL, DIMENSION(klon), INTENT(OUT) :: alb3
+    REAL, DIMENSION(klon), INTENT(OUT) :: qsnow   !column water in snow [kg/m2]
+    REAL, DIMENSION(klon), INTENT(OUT) :: snowhgt !Snow height (m)
+    REAL, DIMENSION(klon), INTENT(OUT) :: to_ice
+    REAL, DIMENSION(klon), INTENT(OUT) :: sissnow
+    REAL, DIMENSION(klon), INTENT(OUT) :: runoff  !Land ice runoff
 #ifdef ISO
     REAL, DIMENSION(ntiso,klon), INTENT(OUT)     :: xtevap     
@@ -138,16 +136,16 @@
 !    fonte_neige
 #endif
- 
-
-! Local variables
-!****************************************************************************************
-    REAL, DIMENSION(klon)    :: soilcap, soilflux
-    REAL, DIMENSION(klon)    :: cal, beta, dif_grnd
-    REAL, DIMENSION(klon)    :: zfra, alb_neig
-    REAL, DIMENSION(klon)    :: radsol
-    REAL, DIMENSION(klon)    :: u0, v0, u1_lay, v1_lay, ustar
-    INTEGER                  :: i,j,nt
-    REAL, DIMENSION(klon)    :: fqfonte,ffonte
-    REAL, DIMENSION(klon)    :: run_off_lic_frac
+
+
+    ! Local variables
+    !****************************************************************************************
+    REAL, DIMENSION(klon) :: soilcap, soilflux
+    REAL, DIMENSION(klon) :: cal, beta, dif_grnd
+    REAL, DIMENSION(klon) :: zfra, alb_neig
+    REAL, DIMENSION(klon) :: radsol
+    REAL, DIMENSION(klon) :: u0, v0, u1_lay, v1_lay, ustar
+    INTEGER :: i, j, nt
+    REAL, DIMENSION(klon) :: fqfonte, ffonte
+    REAL, DIMENSION(klon) :: run_off_lic_frac
 #ifdef ISO       
     REAL, PARAMETER          :: t_coup = 273.15
@@ -167,47 +165,46 @@
 
 
-    REAL, DIMENSION(klon)    :: emis_new                  !Emissivity
-    REAL, DIMENSION(klon)    :: swdown,lwdown
-    REAL, DIMENSION(klon)    :: precip_snow_adv, snow_adv !Snow Drift precip./advection (not used in inlandsis)
-    REAL, DIMENSION(klon)    :: erod                      !erosion of surface snow (flux, kg/m2/s like evap)
-    REAL, DIMENSION(klon)    :: zsl_height, wind_velo     !surface layer height, wind spd
-    REAL, DIMENSION(klon)    :: dens_air,  snow_cont_air  !air density; snow content air
-    REAL, DIMENSION(klon)    :: alb_soil                  !albedo of underlying ice
-    REAL, DIMENSION(klon)    :: pexner                    !Exner potential
-    REAL                     :: pref
-    REAL, DIMENSION(klon,nsoilmx) :: tsoil0               !modif
-    REAL                          :: dtis                ! subtimestep
-    LOGICAL                       :: debut_is, lafin_is  ! debut and lafin for inlandsis
-
-    CHARACTER (len = 20)                      :: modname = 'surf_landice'
-    CHARACTER (len = 80)                      :: abort_message
-
-
-    REAL,DIMENSION(klon) :: alb1,alb2
-    REAL,DIMENSION(klon) :: precip_totsnow, evap_totsnow
-    REAL, DIMENSION (klon,6) :: alb6
-    REAL                   :: esalt
-    REAL                   :: lambdasalt,fluxsalt, csalt, nunu, aa, bb, cc
-    REAL                   :: tau_dens, maxerosion
-    REAL, DIMENSION(klon)  :: ws1, rhod, rhos, ustart0, ustart, qsalt, hsalt
-    REAL, DIMENSION(klon)  :: fluxbs_1, fluxbs_2, bsweight_fresh
+    REAL, DIMENSION(klon) :: emis_new                  !Emissivity
+    REAL, DIMENSION(klon) :: swdown, lwdown
+    REAL, DIMENSION(klon) :: precip_snow_adv, snow_adv !Snow Drift precip./advection (not used in inlandsis)
+    REAL, DIMENSION(klon) :: erod                      !erosion of surface snow (flux, kg/m2/s like evap)
+    REAL, DIMENSION(klon) :: zsl_height, wind_velo     !surface layer height, wind spd
+    REAL, DIMENSION(klon) :: dens_air, snow_cont_air  !air density; snow content air
+    REAL, DIMENSION(klon) :: alb_soil                  !albedo of underlying ice
+    REAL, DIMENSION(klon) :: pexner                    !Exner potential
+    REAL :: pref
+    REAL, DIMENSION(klon, nsoilmx) :: tsoil0               !modif
+    REAL :: dtis                ! subtimestep
+    LOGICAL :: debut_is, lafin_is  ! debut and lafin for inlandsis
+
+    CHARACTER (len = 20) :: modname = 'surf_landice'
+    CHARACTER (len = 80) :: abort_message
+
+    REAL, DIMENSION(klon) :: alb1, alb2
+    REAL, DIMENSION(klon) :: precip_totsnow, evap_totsnow
+    REAL, DIMENSION (klon, 6) :: alb6
+    REAL :: esalt
+    REAL :: lambdasalt, fluxsalt, csalt, nunu, aa, bb, cc
+    REAL :: tau_dens, maxerosion
+    REAL, DIMENSION(klon) :: ws1, rhod, rhos, ustart0, ustart, qsalt, hsalt
+    REAL, DIMENSION(klon) :: fluxbs_1, fluxbs_2, bsweight_fresh
     LOGICAL, DIMENSION(klon) :: ok_remaining_freshsnow
-    REAL  :: ta1, ta2, ta3, z01, z02, z03, coefa, coefb, coefc, coefd
-
-
-! End definition
-!****************************************************************************************
-!FC 
-!FC
-   REAL,SAVE :: alb_vis_sno_lic
-  !$OMP THREADPRIVATE(alb_vis_sno_lic)
-   REAL,SAVE :: alb_nir_sno_lic
-  !$OMP THREADPRIVATE(alb_nir_sno_lic)
-  LOGICAL, SAVE :: firstcall = .TRUE.
-  !$OMP THREADPRIVATE(firstcall)
-
-
-!FC firtscall initializations
-!******************************************************************************************
+    REAL :: ta1, ta2, ta3, z01, z02, z03, coefa, coefb, coefc, coefd
+
+
+    ! End definition
+    !****************************************************************************************
+    !FC
+    !FC
+    REAL, SAVE :: alb_vis_sno_lic
+    !$OMP THREADPRIVATE(alb_vis_sno_lic)
+    REAL, SAVE :: alb_nir_sno_lic
+    !$OMP THREADPRIVATE(alb_nir_sno_lic)
+    LOGICAL, SAVE :: firstcall = .TRUE.
+    !$OMP THREADPRIVATE(firstcall)
+
+
+    !FC firtscall initializations
+    !******************************************************************************************
 #ifdef ISO
 #ifdef ISOVERIF
@@ -222,43 +219,42 @@
 #endif
 
-  IF (firstcall) THEN
-  alb_vis_sno_lic=0.77
-  CALL getin_p('alb_vis_sno_lic',alb_vis_sno_lic)
-           PRINT*, 'alb_vis_sno_lic',alb_vis_sno_lic
-  alb_nir_sno_lic=0.77
-  CALL getin_p('alb_nir_sno_lic',alb_nir_sno_lic)
-           PRINT*, 'alb_nir_sno_lic',alb_nir_sno_lic
-  
-  firstcall=.false.
-  ENDIF
-!******************************************************************************************
-
-! Initialize output variables
+    IF (firstcall) THEN
+      alb_vis_sno_lic = 0.77
+      CALL getin_p('alb_vis_sno_lic', alb_vis_sno_lic)
+      PRINT*, 'alb_vis_sno_lic', alb_vis_sno_lic
+      alb_nir_sno_lic = 0.77
+      CALL getin_p('alb_nir_sno_lic', alb_nir_sno_lic)
+      PRINT*, 'alb_nir_sno_lic', alb_nir_sno_lic
+
+      firstcall = .false.
+    ENDIF
+    !******************************************************************************************
+
+    ! Initialize output variables
     alb3(:) = 999999.
     alb2(:) = 999999.
     alb1(:) = 999999.
-    fluxbs(:)=0.  
+    fluxbs(:) = 0.
     runoff(:) = 0.
-!****************************************************************************************
-! Calculate total absorbed radiance at surface
-
-!****************************************************************************************
+    !****************************************************************************************
+    ! Calculate total absorbed radiance at surface
+
+    !****************************************************************************************
     radsol(:) = 0.0
     radsol(1:knon) = swnet(1:knon) + lwnet(1:knon)
 
-!****************************************************************************************
-
-!****************************************************************************************
-!  landice_opt = 0 : soil_model, calcul_flux, fonte_neige, ...  
-!  landice_opt = 1  : prepare and call INterace Lmdz SISvat (INLANDSIS)
-!****************************************************************************************
-
+    !****************************************************************************************
+
+    !****************************************************************************************
+    !  landice_opt = 0 : soil_model, calcul_flux, fonte_neige, ...
+    !  landice_opt = 1  : prepare and call INterace Lmdz SISvat (INLANDSIS)
+    !****************************************************************************************
 
     IF (landice_opt == 1) THEN
 
-!****************************************************************************************    
-! CALL to INLANDSIS interface
-!****************************************************************************************
-#ifdef CPP_INLANDSIS
+      !****************************************************************************************
+      ! CALL to INLANDSIS interface
+      !****************************************************************************************
+      IF (CPPKEY_INLANDSIS) THEN
 
 #ifdef ISO
@@ -266,58 +262,55 @@
 #endif
 
-        debut_is=debut
-        lafin_is=.false.
+        debut_is = debut
+        lafin_is = .false.
         ! Suppose zero surface speed
-        u0(:)            = 0.0
-        v0(:)            = 0.0
-
+        u0(:) = 0.0
+        v0(:) = 0.0
 
         CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, gustiness, cdragm, &
-         AcoefU, AcoefV, BcoefU, BcoefV, &
-         p1lay, temp_air, &
-         flux_u1, flux_v1)
-
-       
-       ! Set constants and compute some input for SISVAT
-       ! = 1000 hPa
-       ! and calculate incoming flux for SW and LW interval: swdown, lwdown
-       swdown(:)        = 0.0
-       lwdown(:)        = 0.0
-       snow_cont_air(:) = 0.  ! the snow content in air is not a prognostic variable of the model      
-       alb_soil(:)      = 0.4 ! before albedo(:) but here it is the ice albedo that we have to set
-       ustar(:)         = 0.
-       pref             = 100000.       
-       DO i = 1, knon
-          swdown(i)        = swnet(i)/(1-albedo(i))
-          lwdown(i)        = lwdownm(i)
-          wind_velo(i)     = u1(i)**2 + v1(i)**2
-          wind_velo(i)     = wind_velo(i)**0.5
-          pexner(i)        = (p1lay(i)/pref)**(RD/RCPD)
-          dens_air(i)      = p1lay(i)/RD/temp_air(i)  ! dry air density
-          zsl_height(i)    = pphi1(i)/RG      
-          tsoil0(i,:)      = tsoil(i,:)  
-          ustar(i)= (cdragm(i)*(wind_velo(i)**2))**0.5   
-       END DO
-       
-
-
-        dtis=dtime
-
-          IF (lafin) THEN
-            lafin_is=.true.
-          END IF
-
-          CALL surf_inlandsis(knon, rlon, rlat, knindex, itime, dtis, debut_is, lafin_is,&
-            rmu0, swdown, lwdown, albedo, pexner, ps, p1lay, precip_rain, precip_snow,   &
-            zsl_height, wind_velo, ustar, temp_air, dens_air, spechum, tsurf,&
-            rugoro, snow_cont_air, alb_soil, alt, slope, cloudf, &
-            radsol, qsol, tsoil0, snow, zfra, snowhgt, qsnow, to_ice, sissnow,agesno,   &
-            AcoefH, AcoefQ, BcoefH, BcoefQ, cdragm, cdragh, &
-            run_off_lic, fqfonte, ffonte, evap, erod, fluxsens, fluxlat,dflux_s, dflux_l, &
-            tsurf_new, alb1, alb2, alb3, alb6, &
-            emis_new, z0m, z0h, qsurf)
-
-          debut_is=.false.
+                u0, v0, u1, v1, gustiness, cdragm, &
+                AcoefU, AcoefV, BcoefU, BcoefV, &
+                p1lay, temp_air, &
+                flux_u1, flux_v1)
+
+
+        ! Set constants and compute some input for SISVAT
+        ! = 1000 hPa
+        ! and calculate incoming flux for SW and LW interval: swdown, lwdown
+        swdown(:) = 0.0
+        lwdown(:) = 0.0
+        snow_cont_air(:) = 0.  ! the snow content in air is not a prognostic variable of the model
+        alb_soil(:) = 0.4 ! before albedo(:) but here it is the ice albedo that we have to set
+        ustar(:) = 0.
+        pref = 100000.
+        DO i = 1, knon
+          swdown(i) = swnet(i) / (1 - albedo(i))
+          lwdown(i) = lwdownm(i)
+          wind_velo(i) = u1(i)**2 + v1(i)**2
+          wind_velo(i) = wind_velo(i)**0.5
+          pexner(i) = (p1lay(i) / pref)**(RD / RCPD)
+          dens_air(i) = p1lay(i) / RD / temp_air(i)  ! dry air density
+          zsl_height(i) = pphi1(i) / RG
+          tsoil0(i, :) = tsoil(i, :)
+          ustar(i) = (cdragm(i) * (wind_velo(i)**2))**0.5
+        END DO
+
+        dtis = dtime
+
+        IF (lafin) THEN
+          lafin_is = .true.
+        END IF
+
+        CALL surf_inlandsis(knon, rlon, rlat, knindex, itime, dtis, debut_is, lafin_is, &
+                rmu0, swdown, lwdown, albedo, pexner, ps, p1lay, precip_rain, precip_snow, &
+                zsl_height, wind_velo, ustar, temp_air, dens_air, spechum, tsurf, &
+                rugoro, snow_cont_air, alb_soil, alt, slope, cloudf, &
+                radsol, qsol, tsoil0, snow, zfra, snowhgt, qsnow, to_ice, sissnow, agesno, &
+                AcoefH, AcoefQ, BcoefH, BcoefQ, cdragm, cdragh, &
+                run_off_lic, fqfonte, ffonte, evap, erod, fluxsens, fluxlat, dflux_s, dflux_l, &
+                tsurf_new, alb1, alb2, alb3, alb6, &
+                emis_new, z0m, z0h, qsurf)
+
+        debut_is = .false.
 
 
@@ -325,64 +318,62 @@
 
         ! for consistency with standard LMDZ, add calving to run_off_lic
-        run_off_lic(:)=run_off_lic(:) + to_ice(:)
+        run_off_lic(:) = run_off_lic(:) + to_ice(:)
 
         DO i = 1, knon
-           ffonte_global(knindex(i),is_lic)    = ffonte(i)
-           fqfonte_global(knindex(i),is_lic)   = fqfonte(i)! net melting= melting - refreezing
-           fqcalving_global(knindex(i),is_lic) = to_ice(i) ! flux
-           runofflic_global(knindex(i)) = run_off_lic(i)
+          ffonte_global(knindex(i), is_lic) = ffonte(i)
+          fqfonte_global(knindex(i), is_lic) = fqfonte(i)! net melting= melting - refreezing
+          fqcalving_global(knindex(i), is_lic) = to_ice(i) ! flux
+          runofflic_global(knindex(i)) = run_off_lic(i)
         ENDDO
         ! Here, we assume that the calving term is equal to the to_ice term
         ! (no ice accumulation)
 
-
-#else
-       abort_message='Pb de coherence: landice_opt = 1  mais CPP_INLANDSIS = .false.'
-       CALL abort_physic(modname,abort_message,1)
-#endif
-
-
-    ELSE 
-
-!****************************************************************************************
-! Soil calculations
-
-!****************************************************************************************
-
-    ! EV: use calbeta
-    CALL calbeta(dtime, is_lic, knon, snow, qsol, beta, cal, dif_grnd)
-
-
-    ! use soil model and recalculate properly cal
-    IF (soil_model) THEN 
-       CALL soil(dtime, is_lic, knon, snow, tsurf, qsol, &
-   longitude(knindex(1:knon)), latitude(knindex(1:knon)), tsoil, soilcap, soilflux)
-       cal(1:knon) = RCPD / soilcap(1:knon)
-       radsol(1:knon)  = radsol(1:knon) + soilflux(1:knon)
-    ELSE 
-       cal = RCPD * calice
-       WHERE (snow > 0.0) cal = RCPD * calsno
-    ENDIF
-
-
-!****************************************************************************************
-! Calulate fluxes
-
-!****************************************************************************************
-!    beta(:) = 1.0
-!    dif_grnd(:) = 0.0
-
-! Suppose zero surface speed
-    u0(:)=0.0
-    v0(:)=0.0
-    u1_lay(:) = u1(:) - u0(:)
-    v1_lay(:) = v1(:) - v0(:)
-
-    CALL calcul_fluxs(knon, is_lic, dtime, &
-         tsurf, p1lay, cal, beta, cdragh, cdragh, ps, &
-         precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
-         1.,AcoefH, AcoefQ, BcoefH, BcoefQ, &
-         tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
+      ELSE
+        abort_message = 'Pb de coherence: landice_opt = 1  mais CPP_INLANDSIS = .false.'
+        CALL abort_physic(modname, abort_message, 1)
+      END IF
+
+    ELSE
+
+      !****************************************************************************************
+      ! Soil calculations
+
+      !****************************************************************************************
+
+      ! EV: use calbeta
+      CALL calbeta(dtime, is_lic, knon, snow, qsol, beta, cal, dif_grnd)
+
+
+      ! use soil model and recalculate properly cal
+      IF (soil_model) THEN
+        CALL soil(dtime, is_lic, knon, snow, tsurf, qsol, &
+                longitude(knindex(1:knon)), latitude(knindex(1:knon)), tsoil, soilcap, soilflux)
+        cal(1:knon) = RCPD / soilcap(1:knon)
+        radsol(1:knon) = radsol(1:knon) + soilflux(1:knon)
+      ELSE
+        cal = RCPD * calice
+        WHERE (snow > 0.0) cal = RCPD * calsno
+      ENDIF
+
+
+      !****************************************************************************************
+      ! Calulate fluxes
+
+      !****************************************************************************************
+      !    beta(:) = 1.0
+      !    dif_grnd(:) = 0.0
+
+      ! Suppose zero surface speed
+      u0(:) = 0.0
+      v0(:) = 0.0
+      u1_lay(:) = u1(:) - u0(:)
+      v1_lay(:) = v1(:) - v0(:)
+
+      CALL calcul_fluxs(knon, is_lic, dtime, &
+              tsurf, p1lay, cal, beta, cdragh, cdragh, ps, &
+              precip_rain, precip_snow, snow, qsurf, &
+              radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+              1., AcoefH, AcoefQ, BcoefH, BcoefQ, &
+              tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
 
 #ifdef ISO
